MyBB Community Forums
Can't Install MyBB - gives errors - Printable Version

+- MyBB Community Forums (https://community.mybb.com)
+-- Forum: 1.8 Support (https://community.mybb.com/forum-175.html)
+--- Forum: Installation and Upgrades Support (https://community.mybb.com/forum-182.html)
+--- Thread: Can't Install MyBB - gives errors (/thread-230884.html)



Can't Install MyBB - gives errors - Lasse - 2021-01-18

    Hello so i'm new to making a forum and all that

but i got sent to do a website for a person who wants a forum 
so now i decided to go try to learn to use mybb and get it to work

so i installed xampp newest version to run everything for a test run

and when i get to MyBB Installation Wizard

and then get to Theme Insertion i get this message here with all these errors


Image provied with the information

Hope someone can asnwer on how to fix it so i can continue

i can't get it to work at all when i refresh after trying to mesh with the files, it gives me a hole lots of other erros

Found a soloution


RE: Can't Install MyBB - gives errors - Erikbe - 2021-01-18

(2021-01-18, 12:28 AM)Lasse Wrote: Hello so i'm new to making a forum and all that

but i got sent to do a website for a person who wants a forum 
so now i decided to go try to learn to use mybb and get it to work

so i installed xampp newest version to run everything for a test run

and when i get to MyBB Installation Wizard

and then get to Theme Insertion i get this message here with all these errors


Image provied with the information

Hope someone can asnwer on how to fix it so i can continue

i can't get it to work at all when i refresh after trying to mesh with the files, it gives me a hole lots of other erros

Found a soloution

You are missing the libxml extension in your php build  this extension is required as you can see in the "mybb requirements" document (https://docs.mybb.com/1.8/install/requirements/) you can check that by creating a php script that calls the phpinfo(); function

<?php
phpinfo();
?>
when you are done remove this file from the server as it poses a security risk .


RE: Can't Install MyBB - gives errors - katos - 2021-02-06

Looks to me like this could be an issue with PHP 8 also.
Ref: https://php.watch/versions/8.0/XMLParser-resource